Bug 195931 - hang when trying to edit printer from previous Fedora
hang when trying to edit printer from previous Fedora
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 2006-06-19 14:30 EDT by Andrew
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-06-20 09:29:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andrew 2006-06-19 14:30:40 EDT
Description of problem:
I upgraded to Fedora Core 5, and now when I try to edit a printer defined in a 
previous Fedora Core (version 4, I think), system-config-printer hangs.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Define a printer "foo" in Fedora Core 4.
2. Upgrade to Fedora Core 5.
3. Run system-config-printer
4. Click the printer "foo" to select it
5. Click the "Edit" button
Actual results:
GUI hangs and console shows these messages:
The printer HP LaserJet 2420 (PPD) (ID: ppd2) is not supported by the driver ppd!
Couldn't load driver information.
Traceback (most recent call last):
  File "/usr/share/printconf/util/queueTree.py", line 600, in edit_button_clicked
    if self.editQueue.editQueueDialog (iter):
  File "/usr/share/printconf/util/editQueue.py", line 421, in editQueueDialog
  File "/usr/share/printconf/util/queueTree.py", line 849, in
    mfr = self.conf.foomatic.id_dict[id].make
KeyError: 'ppd2'

Expected results:
That it works. :)

Additional info:
In the previous Fedora Core, I could edit the printer.  Also, now I can edit
newly-defined printers.
Comment 1 Tim Waugh 2006-06-20 09:29:36 EDT
Hmm, looks like you need to import the PPD again.  That's unfortunate. :-((

At least in Fedora Core 6 onwards this will not be a problem, however, since we
now configure CUPS directly rather than indirectly through foomatic.

Note You need to log in before you can comment on or make changes to this bug.